package dto

// 运单

type WaybillLogisticsGetPageReq struct {
	WaybillNo string `form:"waybillNo" search:"type:contains;column:waybill_no;table:waybill_logistics" vd:"len($)>0;msg:'订单编号不能为空'"` // 运单编号-必填
	Status    int    `form:"status" search:"type:exact;column:status;table:waybill_logistics"`                                        // 状态
	WaybillLogisticsOrder
}

type WaybillLogisticsOrder struct {
	IdOrder        string `search:"type:order;column:id;table:waybill_logistics" form:"idOrder" default:"desc"`
}

func (m *WaybillLogisticsGetPageReq) GetNeedSearch() interface{} {
	return *m
}
